config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.kea.new
config network/kea/package-kea/etc/kea/keactrl.conf.new
config network/kea/package-kea/etc/kea/kea-dhcp4.conf.new
config network/kea/package-kea/etc/kea/kea-dhcp6.conf.new
config network/kea/package-kea/etc/kea/kea-dhcp-ddns.conf.new
config network/kea/package-kea/etc/kea/kea-ctrl-agent.conf.new
( cd usr/lib ; rm -rf libkea-asiodns.so )
( cd usr/lib ; ln -sf libkea-asiodns.so.24.0.0 libkea-asiodns.so )
( cd usr/lib ; rm -rf libkea-asiodns.so.24 )
( cd usr/lib ; ln -sf libkea-asiodns.so.24.0.0 libkea-asiodns.so.24 )
( cd usr/lib ; rm -rf libkea-asiolink.so )
( cd usr/lib ; ln -sf libkea-asiolink.so.38.0.0 libkea-asiolink.so )
( cd usr/lib ; rm -rf libkea-asiolink.so.38 )
( cd usr/lib ; ln -sf libkea-asiolink.so.38.0.0 libkea-asiolink.so.38 )
( cd usr/lib ; rm -rf libkea-cc.so )
( cd usr/lib ; ln -sf libkea-cc.so.36.0.0 libkea-cc.so )
( cd usr/lib ; rm -rf libkea-cc.so.36 )
( cd usr/lib ; ln -sf libkea-cc.so.36.0.0 libkea-cc.so.36 )
( cd usr/lib ; rm -rf libkea-cfgclient.so )
( cd usr/lib ; ln -sf libkea-cfgclient.so.25.0.0 libkea-cfgclient.so )
( cd usr/lib ; rm -rf libkea-cfgclient.so.25 )
( cd usr/lib ; ln -sf libkea-cfgclient.so.25.0.0 libkea-cfgclient.so.25 )
( cd usr/lib ; rm -rf libkea-cryptolink.so )
( cd usr/lib ; ln -sf libkea-cryptolink.so.16.0.0 libkea-cryptolink.so )
( cd usr/lib ; rm -rf libkea-cryptolink.so.16 )
( cd usr/lib ; ln -sf libkea-cryptolink.so.16.0.0 libkea-cryptolink.so.16 )
( cd usr/lib ; rm -rf libkea-d2srv.so )
( cd usr/lib ; ln -sf libkea-d2srv.so.16.0.0 libkea-d2srv.so )
( cd usr/lib ; rm -rf libkea-d2srv.so.16 )
( cd usr/lib ; ln -sf libkea-d2srv.so.16.0.0 libkea-d2srv.so.16 )
( cd usr/lib ; rm -rf libkea-database.so )
( cd usr/lib ; ln -sf libkea-database.so.34.0.0 libkea-database.so )
( cd usr/lib ; rm -rf libkea-database.so.34 )
( cd usr/lib ; ln -sf libkea-database.so.34.0.0 libkea-database.so.34 )
( cd usr/lib ; rm -rf libkea-dhcp++.so )
( cd usr/lib ; ln -sf libkea-dhcp++.so.49.0.0 libkea-dhcp++.so )
( cd usr/lib ; rm -rf libkea-dhcp++.so.49 )
( cd usr/lib ; ln -sf libkea-dhcp++.so.49.0.0 libkea-dhcp++.so.49 )
( cd usr/lib ; rm -rf libkea-dhcp_ddns.so )
( cd usr/lib ; ln -sf libkea-dhcp_ddns.so.29.0.0 libkea-dhcp_ddns.so )
( cd usr/lib ; rm -rf libkea-dhcp_ddns.so.29 )
( cd usr/lib ; ln -sf libkea-dhcp_ddns.so.29.0.0 libkea-dhcp_ddns.so.29 )
( cd usr/lib ; rm -rf libkea-dhcpsrv.so )
( cd usr/lib ; ln -sf libkea-dhcpsrv.so.64.0.0 libkea-dhcpsrv.so )
( cd usr/lib ; rm -rf libkea-dhcpsrv.so.64 )
( cd usr/lib ; ln -sf libkea-dhcpsrv.so.64.0.0 libkea-dhcpsrv.so.64 )
( cd usr/lib ; rm -rf libkea-dns++.so )
( cd usr/lib ; ln -sf libkea-dns++.so.19.0.0 libkea-dns++.so )
( cd usr/lib ; rm -rf libkea-dns++.so.19 )
( cd usr/lib ; ln -sf libkea-dns++.so.19.0.0 libkea-dns++.so.19 )
( cd usr/lib ; rm -rf libkea-eval.so )
( cd usr/lib ; ln -sf libkea-eval.so.27.0.0 libkea-eval.so )
( cd usr/lib ; rm -rf libkea-eval.so.27 )
( cd usr/lib ; ln -sf libkea-eval.so.27.0.0 libkea-eval.so.27 )
( cd usr/lib ; rm -rf libkea-exceptions.so )
( cd usr/lib ; ln -sf libkea-exceptions.so.13.0.0 libkea-exceptions.so )
( cd usr/lib ; rm -rf libkea-exceptions.so.13 )
( cd usr/lib ; ln -sf libkea-exceptions.so.13.0.0 libkea-exceptions.so.13 )
( cd usr/lib ; rm -rf libkea-hooks.so )
( cd usr/lib ; ln -sf libkea-hooks.so.52.0.0 libkea-hooks.so )
( cd usr/lib ; rm -rf libkea-hooks.so.52 )
( cd usr/lib ; ln -sf libkea-hooks.so.52.0.0 libkea-hooks.so.52 )
( cd usr/lib ; rm -rf libkea-http.so )
( cd usr/lib ; ln -sf libkea-http.so.40.0.0 libkea-http.so )
( cd usr/lib ; rm -rf libkea-http.so.40 )
( cd usr/lib ; ln -sf libkea-http.so.40.0.0 libkea-http.so.40 )
( cd usr/lib ; rm -rf libkea-log.so )
( cd usr/lib ; ln -sf libkea-log.so.33.0.0 libkea-log.so )
( cd usr/lib ; rm -rf libkea-log.so.33 )
( cd usr/lib ; ln -sf libkea-log.so.33.0.0 libkea-log.so.33 )
( cd usr/lib ; rm -rf libkea-mysql.so )
( cd usr/lib ; ln -sf libkea-mysql.so.37.0.0 libkea-mysql.so )
( cd usr/lib ; rm -rf libkea-mysql.so.37 )
( cd usr/lib ; ln -sf libkea-mysql.so.37.0.0 libkea-mysql.so.37 )
( cd usr/lib ; rm -rf libkea-pgsql.so )
( cd usr/lib ; ln -sf libkea-pgsql.so.33.0.0 libkea-pgsql.so )
( cd usr/lib ; rm -rf libkea-pgsql.so.33 )
( cd usr/lib ; ln -sf libkea-pgsql.so.33.0.0 libkea-pgsql.so.33 )
( cd usr/lib ; rm -rf libkea-process.so )
( cd usr/lib ; ln -sf libkea-process.so.40.0.0 libkea-process.so )
( cd usr/lib ; rm -rf libkea-process.so.40 )
( cd usr/lib ; ln -sf libkea-process.so.40.0.0 libkea-process.so.40 )
( cd usr/lib ; rm -rf libkea-stats.so )
( cd usr/lib ; ln -sf libkea-stats.so.18.0.0 libkea-stats.so )
( cd usr/lib ; rm -rf libkea-stats.so.18 )
( cd usr/lib ; ln -sf libkea-stats.so.18.0.0 libkea-stats.so.18 )
( cd usr/lib ; rm -rf libkea-util-io.so )
( cd usr/lib ; ln -sf libkea-util-io.so.0.0.1 libkea-util-io.so )
( cd usr/lib ; rm -rf libkea-util-io.so.0 )
( cd usr/lib ; ln -sf libkea-util-io.so.0.0.1 libkea-util-io.so.0 )
( cd usr/lib ; rm -rf libkea-util.so )
( cd usr/lib ; ln -sf libkea-util.so.48.0.0 libkea-util.so )
( cd usr/lib ; rm -rf libkea-util.so.48 )
( cd usr/lib ; ln -sf libkea-util.so.48.0.0 libkea-util.so.48 )
